Bug 25441 - Annotation flags flagNoRotate and flagNoZoom are ignored
Summary: Annotation flags flagNoRotate and flagNoZoom are ignored
Status: RESOLVED MOVED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-04 03:52 UTC by Carlos Garcia Campos
Modified: 2018-08-21 10:53 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2009-12-04 03:52:47 UTC
According to the spec:

"If the NoZoom flag is set, the annotation shall always maintain the same fixed size on the screen and shall be unaffected by the magnification level at which the page itself is displayed. Similarly, if the NoRotate flag is set, the annotation shall retain its original orientation on the screen when the page is rotated (by changing the Rotate entry in the page object; see 7.7.3, “Page Tree”)."

Poppler ignores both flags when rendering.
Comment 1 Albert Astals Cid 2010-02-09 14:26:44 UTC
Increasing priority
Comment 2 Albert Astals Cid 2010-04-06 14:03:45 UTC
Decreasing importance now that at least we have a hack so that they are not bigger than should be.
Comment 3 GitLab Migration User 2018-08-21 10:53:08 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/poppler/poppler/issues/408.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.